#!/bin/bash

svnroot="/home/svnroot"
tracroot="/var/lib/trac"
trac_templates="/usr/share/trac/templates"
import_sample="svn-sample"

echo "Create Subversion & trac repository"

if [ 0 = $# ] ; then
        echo "Error : input new repository"
        exit
fi
if [ -d $svnroot/$1 ]; then
	echo "Error : already exists : $svnroot/$1"
	exit
fi
if [ -e $tracroot/$1 ]; then
	echo "Error : already exists : $tracroot/$1"
	exit
fi
svnadmin create --fs-type=fsfs $svnroot/$1
chown -R apache. $svnroot/$1

trac-admin $tracroot/$1 initenv "$1" "sqlite:db/trac.db" "$svnroot/$1" "$trac_templates"
chown -R apache. $tracroot/$1

svn --auto-props -m "ץ빽" import "$import_sample" file://$svnroot/$1

